#	$OpenBSD: keyscan.sh,v 1.13 2020/01/22 07:31:27 dtucker Exp $
#	Placed in the Public Domain.

tid="keyscan"

echo "HostKeyAlgorithms `echo $SSH_KEY_ALGS | tr ' ' ','`" >> $OBJ/sshd_config

start_sshd

for t in $SSH_KEY_ALGS ; do
	if $openssl_fips_prov ; then
		# exclude algorithms with SHA-1 digests
		case $t in
		ssh-rsa) continue;;
		esac
	fi
	trace "keyscan type $t"
	${SSHKEYSCAN} -t $t -T 15 -p $PORT 127.0.0.1 127.0.0.1 127.0.0.1 \
		> /dev/null 2>&1
	r=$?
	if test $r -ne 0 ; then
		fail "ssh-keyscan -t $t failed with: $r"
	fi
done
